import React from 'react';
import { useSearchParams } from 'react-router-dom';
import { Space } from 'antd';
import Page from '@/components/Page';
import Process from './components/Process';
import BasicProfile from './components/BasicProfile';
import ApplyInfo from './components/ApplyInfo';
import OrgIssue from './components/OrgIssue';

export default (props) => {

  const [params] = useSearchParams();
  const id = params.get("id");

  return (
    <Page back>
      <Space direction="vertical" size="middle" style={{ width: '100%' }}>
        <Process issueId={id} />
        <BasicProfile issueId={id} />
        <ApplyInfo issueId={id} />
        <OrgIssue issueId={id} />
      </Space>
    </Page>
  )
}
